ObertObert
CampaignsGeneral

Query Campaigns

Search and filter campaigns with structured filter specs (POST body).

POST
/api/campaigns/query
AuthorizationBearer <token>

In: header

Header Parameters

x-tenant-id?string|null
filters?
Default[]
search?string|null
sort_by?string

All sortable fields on the campaign list.

Default"created_at"
Value in"name" | "status" | "created_at" | "updated_at" | "launched_at" | "has_workflow" | "lead_count" | "pending_count" | "in_progress_count" | "completed_count" | "failed_count" | "skipped_count" | "awaiting_review_count" | "connection_acceptance_rate" | "reply_rate"
sort_dir?string
Default"desc"
Value in"asc" | "desc"
page?integer
Default1
Range1 <= value
page_size?integer
Default50
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X POST "https://api.obert.io/api/campaigns/query" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "status": "draft",
      "senders": [
        {
          "id": "string",
          "linkedin_account_id": "string",
          "display_name": "string",
          "profile_picture_url": "string",
          "connections_rate_limited_until": "2019-08-24T14:15:22Z"
        }
      ],
      "lead_count": 0,
      "pending_count": 0,
      "in_progress_count": 0,
      "completed_count": 0,
      "failed_count": 0,
      "skipped_count": 0,
      "awaiting_review_count": 0,
      "connection_acceptance_rate": 0,
      "reply_rate": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "launched_at": "2019-08-24T14:15:22Z",
      "has_workflow": false,
      "workflow_summary": "string",
      "keep_alive": false
    }
  ],
  "total": 0,
  "has_more": false,
  "page": 1,
  "page_size": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}